Rem
Rem $Header: javavm/install/jvmpsui.sql /st_javavm_11.2.0.4.0dbpsu/32 2020/08/18 21:51:20 sbusa Exp $
Rem
Rem jvmpsui.sql
Rem
Rem Copyright (c) 2014, 2020, Oracle and/or its affiliates. 
Rem All rights reserved.
Rem
Rem    NAME
Rem      jvmpsui.sql - OJVM PSU internal 
Rem
Rem    DESCRIPTION
Rem
Rem    NOTES
Rem      This script does the steps that jvmpsu.sql was doing earlier.
Rem      It is invoked by jvmpsu.sql if JAVAVM is installed in the database.
Rem
Rem    BEGIN SQL_FILE_METADATA 
Rem    SQL_SOURCE_FILE: javavm/install/jvmpsui.sql 
Rem    SQL_SHIPPED_FILE: 
Rem    SQL_PHASE: 
Rem    SQL_STARTUP_MODE: NORMAL 
Rem    SQL_IGNORABLE_ERRORS: NONE 
Rem    SQL_CALLING_FILE: 
Rem    END SQL_FILE_METADATA
Rem
Rem    MODIFIED   (MM/DD/YY)
Rem    sbusa       08/18/20 - Backport sbusa_oct20_11.2.0.4_jdk7 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       05/22/20 - Backport sbusa_july20_11.2.0.4_jdk7_2 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       02/13/20 - Backport sbusa_apr20_11.2.0.4_jdk7 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       11/26/19 - Backport sbusa_jan20_psu_11.2.0.4_jdk7 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    mohshanm    08/31/19 - Backport mohshanm_octmpsu from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    mohshanm    07/08/19 - Backport mohshanm_jvmpatchissu from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    mohshanm    05/30/19 - Backport mohshanm_psujly from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    mohshanm    04/05/19 - Backport mohshanm_uifix from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    mohshanm    03/25/19 - Backport mohshanm_pilpsu from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       08/23/18 - Backport sbusa_oct18_psu_11.2.0.4_jdk6 from
Rem    sbusa       05/16/18 - Backport sbusa_july18_11.2.0.4_jdk6 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    etucker     02/20/18 - Backport etucker_bug-25649873 from st_javavm_12.1
Rem    sbusa       02/19/18 - Backport sbusa_apr18_11.2.0.4_jdk6 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       11/11/17 - Backport sbusa_jan18_11.2.0.4_jdk6 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       08/28/17 - Backport sbusa_oct_17_11.2.0.4_jdk6 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       05/29/17 - Backport sbusa_l_july17_11.2.0.4_jdk6 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       02/18/17 - Backport sbusa_apr17_11.2.0.4_jdk6 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       11/17/16 - Backport sbusa_j17_l_11.2.0.4_jdk6 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       09/01/16 - Backport sbusa_o_l_11.2.0.4_jdk6_2 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       05/31/16 - Backport sbusa_j5_l_11.2.0.4_jdk6 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sbusa       02/23/16 - Backport sbusa_javavm_11.2.0.4_java6_april16 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    mohshanm    11/11/15 - Backport mohshanm_psujan_11204 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    mohshanm    09/11/15 - Backport mohshanm_bug-21811517 from
Rem                           st_javavm_11.2.0.4.0dbpsu
Rem    sgovinda    03/18/15 - fix for bug 20702790
Rem    sgovinda    12/10/14 - check on jit during deinstall
Rem    nneeluru    10/29/14 - OJVM PSU post-install internal script
Rem    nneeluru    10/29/14 - Created
Rem

SET ECHO ON
SET FEEDBACK 1
SET NUMWIDTH 10
SET LINESIZE 80
SET TRIMSPOOL ON
SET TAB OFF
SET PAGESIZE 100

-- do CJS, etc.

  VARIABLE jitstate VARCHAR2(8);
  VARIABLE jvmversion VARCHAR2(30);
  VARIABLE dbtime varchar2(30);
  VARIABLE cjstime varchar2(30);

BEGIN

  :jvmversion := 'NONE';
  :jitstate := 'FALSE';
  SELECT value INTO :jitstate FROM v$parameter WHERE name='java_jit_enabled'; 
  select nvl((SELECT name FROM obj$ WHERE name like 'JAVA$CBRLS%' and type#=30 and owner#=0), 'NONE') into :jvmversion from dual;
  select to_char((select startup_time from v$instance),'DD-MON-YYYY HH24:MI:SS') INTO :dbtime from dual;
  select to_char
         ((select nvl((SELECT MTIME FROM obj$ WHERE name like 'JAVA$CBRLS%' and type#=30 and owner#=0),to_date('01-JAN-0001','DD-MON-YYYY'))
         from dual),'DD-MON-YYYY HH24:MI:SS') INTO :cjstime from dual;
       

  EXECUTE IMMEDIATE 'alter system set java_jit_enabled = false';


  IF ((not(:jvmaction = 'APPLY' and :jvmversion = 'JAVA$CBRLS$11.2.0.4.201020')) 
     and (not(:jvmaction = 'ROLLBACK' and 
     :jvmversion != 'JAVA$CBRLS$11.2.0.4.201020'))) and
     (to_date(:cjstime,'DD-MON-YYYY HH24:MI:SS') = to_date ('01-JAN-0001','DD-MON-YYYY HH24:MI:SS')
     or to_date(:dbtime,'DD-MON-YYYY HH24:MI:SS') > to_date(:cjstime,'DD-MON-YYYY HH24:MI:SS')) THEN
  
    initjvmaux.drop_sros();


    EXECUTE IMMEDIATE 'create or replace java system';

    update dependency$
      set p_timestamp=(select stime from obj$ where obj#=p_obj#)
      where (select stime from obj$ where obj#=p_obj#)!=p_timestamp and
            (select type# from obj$ where obj#=p_obj#)=29  and
            (select owner# from obj$ where obj#=p_obj#)=0;


-- Check the validity of JAVAVM and let the registry be updated accordingly.

    initjvmaux.validate_javavm;

-- Add a row in registry$history to indicate this script was run.

    EXECUTE IMMEDIATE 'insert into registry$history
                       (action_time, action, namespace, version, id, comments)
                       values(SYSTIMESTAMP, ''jvmpsu.sql'', ''SERVER'',
                              ''11.2.0.4.201020OJVMPSU'', 0, ''RAN jvmpsu.sql'')';

  END IF;

  EXECUTE IMMEDIATE 'alter system set java_jit_enabled = ' || :jitstate;

END;
/


commit;


-- bug 25649873 create a policy SRO

@@jvmsec6


